# Class Certificate

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.Certificate

public class Certificate extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element ref="{urn:com.io7m.certusine:configuration:2}Hosts"/>
          </sequence>
          <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="PublicKeyPath" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="PrivateKeyPath" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
        </restriction>
      </complexContent>
    </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Hosts`
  `hosts`
  `protected String`
  `name`
  `protected String`
  `privateKeyPath`
  `protected String`
  `publicKeyPath`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Certificate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Hosts`
  `getHosts()`
  Gets the value of the hosts property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getPrivateKeyPath()`
  Gets the value of the privateKeyPath property.
  `String`
  `getPublicKeyPath()`
  Gets the value of the publicKeyPath property.
  `void`
  `setHosts(Hosts value)`
  Sets the value of the hosts property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setPrivateKeyPath(String value)`
  Sets the value of the privateKeyPath property.
  `void`
  `setPublicKeyPath(String value)`
  Sets the value of the publicKeyPath property.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### hosts

    protected Hosts hosts

  - ### name

    protected String name

  - ### publicKeyPath

    protected String publicKeyPath

  - ### privateKeyPath

    protected String privateKeyPath

- ## Constructor Details

  - ### Certificate

    public Certificate()

- ## Method Details

  - ### getHosts

    public Hosts getHosts()
    Gets the value of the hosts property.
    Returns:
      possible object is `Hosts`

  - ### setHosts

    public void setHosts(Hosts value)
    Sets the value of the hosts property.
    Parameters:
      `value` - allowed object is `Hosts`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPublicKeyPath

    public String getPublicKeyPath()
    Gets the value of the publicKeyPath property.
    Returns:
      possible object is `String`

  - ### setPublicKeyPath

    public void setPublicKeyPath(String value)
    Sets the value of the publicKeyPath property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPrivateKeyPath

    public String getPrivateKeyPath()
    Gets the value of the privateKeyPath property.
    Returns:
      possible object is `String`

  - ### setPrivateKeyPath

    public void setPrivateKeyPath(String value)
    Sets the value of the privateKeyPath property.
    Parameters:
      `value` - allowed object is `String`